POST /katello/api/activation_keys
{
"organization_id": 114267492,
"content_view_environments": [
"foo"
],
"activation_key": {
"organization_id": 114267492,
"content_view_environments": [
"foo"
]
}
}
422
{
"message": "No content view environments found with names: foo",
"errors": [
"No content view environments found with names: foo"
]
}
| Param name | Description |
|---|---|
|
name
required |
name Validations:
|
|
organization_id
required |
organization identifier Validations:
|
|
description
optional |
description Validations:
|
|
max_hosts
optional |
maximum number of registered content hosts Validations:
|
|
unlimited_hosts
optional |
can the activation key have unlimited hosts Validations:
|
|
release_version
optional |
content release version Validations:
|
|
service_level
optional |
service level Validations:
|
|
purpose_usage
optional |
Sets the system purpose usage Validations:
|
|
purpose_role
optional |
Sets the system purpose usage Validations:
|
|
content_view_environments
optional |
Comma-separated list of content view environment labels to be associated with the activation key, in the format of ‘lifecycle_environment_label/content_view_label’. Ignored if content_view_environment_ids is specified. Validations:
|
|
content_view_environment_ids
optional |
Array of content view environment ids to be associated with the activation key. Validations:
|